using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace MvcApplication3.Models
{
    public class Product
    {
        public string Name
        {
            get;
            set;
        }

        public Category Category
        {
            get;
            set;
        }

        public int Price
        {
            get;
            set;
        }
    }

    public class Category
    {
        public string Name
        {
            get;
            set;
        }
        
        public User Owner
        {
            get;
            set;
        }
    }

    public class User
    {
        public string Name
        {
            get;
            set;
        }
    }
}
